Ticket #39921

Rename type checking funs to is?

Open Date: 2020-01-16 12:08 Last Update: 2020-02-16 16:13

Reporter:
Owner:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

Now type checking funs are named for each such as "STR.str?" or "DATE_TIME.date_time?". It is troublesome and does not go with "new".

So let's rename them "is?".

Ticket History (3/6 Histories)

2020-01-16 12:08 Updated by: miyakawataku
  • New Ticket "Rename type checking funs to is?" created
2020-02-05 23:06 Updated by: miyakawataku
  • Owner Update from (None) to miyakawataku
2020-02-06 22:38 Updated by: miyakawataku
Comment

Working on the branch issue_39921-type-checking-fun-is_p

Comment

Working on the branch issue_39921-type-checking-fun-is_p

2020-02-11 12:08 Updated by: miyakawataku
Comment

Several funs cannot suit this design:

  • REGEX.regex_match?
  • REGEX.regex_group?
  • SET.ordered_set?
  • MAP.ordered_map?
2020-02-16 16:13 Updated by: miyakawataku
  • Status Update from Open to Closed
Comment

Closed by the commit 3e68015778fdca7870d9a0abcf9ddd88d83c6733

2020-02-16 16:13 Updated by: miyakawataku
  • Status Update from Open to Closed
Comment

Closed by the commit 3e68015778fdca7870d9a0abcf9ddd88d83c6733

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login